
/* base du fond du site*/
body {
    margin: auto;
    font-family: -apple-system, BlinkMacSystemFont, sans-serif;
    overflow: auto;
    background: linear-gradient(315deg, rgb(123, 91, 141) 3%, rgb(83, 133, 182) 38%, rgb(216, 142, 142) 68%, rgb(207, 80, 80) 98%);
    animation: gradient 15s ease infinite;
    background-size: 400% 100%;
    background-attachment: fixed;
}

@keyframes gradient {
    /* animation commence en haut a gauche*/
    0% {
        background-position: 0% 0%;
    }
    /* a mis temps l'animation est en bas à droite*/
    50% {
        background-position: 100% 100%;
    }
    /* animation fini en haut a gauche donc revient à 0% 0%*/
    100% {
        background-position: 0% 0%;
    }
}

/* le design de la premire vague de base */
.wave {
    background: rgb(255 255 255 / 25%);
    border-radius: 1000% 1000% 0 0;
    position: fixed;
    width: 250%;
    height: 12em;
    animation: wave 10s -3s linear infinite;
    transform: translate3d(0, 0, 0);
    opacity: 0.8;
    bottom: 0;
    left: 0;
    z-index: -1;
    padding-top: 3cm;
}

/* la meme vague dupliqué et modifié */
.wave:nth-of-type(2) {
    bottom: -1.25em;
    animation: wave 18s linear reverse infinite;
    opacity: 0.8;
}

/* la meme vague triplé et modifié */
.wave:nth-of-type(3) {
    bottom: -7.5em;
    animation: wave 20s -1s reverse infinite;
    opacity: 0.9;
}

/* la position des vagues */
@keyframes wave {
    2% {
        transform: translateX(1);
    }

    25% {
        transform: translateX(-25%);
    }

    50% {
        transform: translateX(-50%);
    }

    75% {
        transform: translateX(-25%);
    }

    100% {
        transform: translateX(1);
    }
}